# $Revision: 1.50.2.4 $, $Date: 2008-03-11 20:55:51 $
# TODO: fix LDFLAGS passing (to use as-needed)
#
# Conditional build:
%bcond_without	odbc	# disable odbc support
%bcond_without	xerces	# disable xerces support
%bcond_without	ruby	# disable ruby support
#
Summary:	Geospatial Data Abstraction Library
Summary(pl.UTF-8):	Biblioteka abstrakcji danych dotyczących powierzchni Ziemi
Name:		gdal
Version:	1.4.3
Release:	2
License:	BSD-like
Group:		Libraries
Source0:	ftp://ftp.remotesensing.org/gdal/%{name}-%{version}.tar.gz
# Source0-md5:	d2b0d428edab7895aa53c7d827094a09
Patch0:		%{name}-dods.patch
Patch1:		%{name}-perl.patch
Patch2:		%{name}-ruby.patch
URL:		http://www.gdal.org/
BuildRequires:	autoconf
BuildRequires:	cfitsio-devel
BuildRequires:	doxygen
BuildRequires:	geos-devel >= 2.0
BuildRequires:	giflib-devel >= 4.0
BuildRequires:	hdf-devel >= 4.0
BuildRequires:	jasper-devel
BuildRequires:	libcsf-devel
BuildRequires:	libdap-devel >= 3.5
BuildRequires:	libgeotiff-devel >= 1.2.1
BuildRequires:	libjpeg-devel >= 6b
BuildRequires:	libpng-devel >= 2:1.2.8
BuildRequires:	libstdc++-devel
BuildRequires:	libtiff-devel >= 3.6.0
BuildRequires:	netcdf-devel
BuildRequires:	ogdi-devel >= 3.1
BuildRequires:	perl-devel
BuildRequires:	postgresql-backend-devel
BuildRequires:	postgresql-devel
BuildRequires:	python-devel >= 1:2.4
BuildRequires:	python-numpy-devel >= 1:1.0.0
%{?with_ruby:BuildRequires:	ruby-devel}
BuildRequires:	sqlite3-devel >= 3
BuildRequires:	swig-python >= 1.3
%{?with_ruby:BuildRequires:	swig-ruby}
%{?with_odbc:BuildRequires:	unixODBC-devel}
%{?with_xerces:BuildRequires:	xerces-c-devel >= 2.2.0}
BuildRequires:	zlib-devel >= 1.1.4
Requires:	geos >= 2.0
Requires:	libgeotiff >= 1.2.1
Requires:	libpng >= 2:1.2.8
Requires:	libtiff >= 3.6.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GDAL is a translator library for raster geospatial data formats that
is released under an Open Source license. As a library, it presents a
single abstract data model to the calling application for all
supported formats. The related OGR library (which lives within the
GDAL source tree) provides a similar capability for simple features
vector data.

%description -l pl.UTF-8
GDAL to biblioteka konwertująca między formatami rastrowych danych
dotyczących powierzchni Ziemi, udostępniona na licencji Open Source.
Jako biblioteka udostępnia aplikacjom jeden abstrakcyjny model danych
do wszystkich obsługiwanych formatów. Powiązana z nią biblioteka OGR
(której źródła są dołączone do drzewa źródeł GDAL) daje podobne
możliwości dla danych wektorowych.

%package devel
Summary:	GDAL library header files
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki GDAL
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	cfitsio-devel
Requires:	geos-devel >= 2.0
Requires:	giflib-devel
Requires:	hdf-devel >= 4.0
Requires:	jasper-devel
Requires:	libcsf-devel
Requires:	libdap-devel >= 3.5
Requires:	libgeotiff-devel >= 1.2.1
Requires:	libjpeg-devel
Requires:	libpng-devel >= 2:1.2.8
Requires:	libstdc++-devel
Requires:	libtiff-devel >= 3.6.0
Requires:	netcdf-devel
Requires:	ogdi-devel >= 3.1
Requires:	postgresql-devel
Requires:	sqlite3-devel >= 3
%{?with_odbc:Requires:	unixODBC-devel}
%{?with_xerces:Requires:	xerces-c-devel >= 2.2.0}

%description devel
GDAL library header files.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki GDAL.

%package static
Summary:	GDAL static libraries
Summary(pl.UTF-8):	Statyczne biblioteki GDAL
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
GDAL static libraries.

%description static -l pl.UTF-8
Statyczne biblioteki GDAL.

%package -n perl-gdal
Summary:	Perl bindings for GDAL
Summary(pl.UTF-8):	Wiązania Perla do pakietu GDAL
Group:		Development/Languages/Perl
Requires:	%{name} = %{version}-%{release}

%description -n perl-gdal
Perl bindings for GDAL - Geo::GDAL, Geo::OGR and Geo::OSR modules.

%description -n perl-gdal -l pl.UTF-8
Wiązania Perla do pakietu GDAL - moduły Geo::GDAL, Geo::OGR, Geo::OSR.

%package -n python-gdal
Summary:	GDAL Python module
Summary(pl.UTF-8):	Moduł Pythona GDAL
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}
%pyrequires_eq	python-libs

%description -n python-gdal
GDAL Python module.

%description -n python-gdal -l pl.UTF-8
Moduł Pythona GDAL.

%package -n ruby-gdal
Summary:	Ruby bindings for GDAL
Summary(pl.UTF-8):	Wiązania języka Ruby do pakietu GDAL
Group:		Development/Languages
Requires:	%{name} = %{version}-%{release}
%{?ruby_mod_ver_requires_eq}

%description -n ruby-gdal
Ruby bindings for GDAL - gdal, gdalconst, ogr and osr modules.

%description -n ruby-gdal -l pl.UTF-8
Wiązania języka Ruby do pakietu GDAL - moduły gdal, gdalconst, ogr i
osr.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
# $PYTHON_INCLUDES is set only with --with-python, but we have --with-ngpython,
# and $PYTHON_INCLUDES is needed to detect numpy properly
export PYTHON_INCLUDES=-I%{py_incdir}

# disable grass/libgrass here, it can be built from separate gdal-grass package
%{__autoconf}
%configure \
	--datadir=%{_datadir}/gdal \
	--with-dods-root=/usr \
	--with-perl \
	--with-pymoddir=%{py_sitedir} \
	%{?with_ruby:--with-ruby} \
	--with-sqlite \
	%{?with_xerces:--with-xerces} \
	--with-xerces-inc=/usr/include/xercesc \
	--with-xerces-lib="-lxerces-c" \
	--without-grass \
	--without-libgrass \
	--with-ngpython
# ngpython seems to be compatibile with old python bindings
# --with-php needs Zend API update
%{__make}

%{__make} -C swig build \
	OPTIMIZE="%{rpmcflags}"

%{__make} docs

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -rf _html
cp -a html _html
cp -a ogr/html _html/ogr

%py_comp $RPM_BUILD_ROOT%{py_sitedir}
%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}
%py_postclean
rm -f $RPM_BUILD_ROOT%{py_sitedir}/*.{la,a}

%{__rm} $RPM_BUILD_ROOT%{perl_archlib}/perllocal.pod
%{__rm} $RPM_BUILD_ROOT%{perl_vendorarch}/auto/Geo/GDAL/.packlist
%{__rm} $RPM_BUILD_ROOT%{perl_vendorarch}/auto/Geo/GDAL/Const/.packlist
%{__rm} $RPM_BUILD_ROOT%{perl_vendorarch}/auto/Geo/OGR/.packlist
%{__rm} $RPM_BUILD_ROOT%{perl_vendorarch}/auto/Geo/OSR/.packlist

# some doxygen trash
%{__rm} $RPM_BUILD_ROOT%{perl_vendorarch}/Geo/GDAL.dox
%{__rm} $RPM_BUILD_ROOT%{perl_vendorarch}/Geo/GDAL/Const.dox
%{__rm} $RPM_BUILD_ROOT%{perl_vendorarch}/Geo/OGR.dox
%{__rm} $RPM_BUILD_ROOT%{perl_vendorarch}/Geo/OSR.dox

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc NEWS PROVENANCE.TXT
%attr(755,root,root) %{_bindir}/*
%exclude %{_bindir}/gdal-config
%attr(755,root,root) %{_libdir}/libgdal.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgdal.so.1
%{_datadir}/gdal
%{_mandir}/man1/*
%exclude %{_mandir}/man1/gdal-config.1*

%files devel
%defattr(644,root,root,755)
%doc _html/*
%attr(755,root,root) %{_bindir}/gdal-config
%attr(755,root,root) %{_libdir}/libgdal.so
%{_libdir}/libgdal.la
%{_includedir}/*.h
%{_mandir}/man1/gdal-config.1*

%files static
%defattr(644,root,root,755)
%{_libdir}/libgdal.a

%files -n perl-gdal
%defattr(644,root,root,755)
%dir %{perl_vendorarch}/Geo
%{perl_vendorarch}/Geo/GDAL.pm
%dir %{perl_vendorarch}/Geo/GDAL
%{perl_vendorarch}/Geo/GDAL/Const.pm
%{perl_vendorarch}/Geo/OGR.pm
%{perl_vendorarch}/Geo/OSR.pm
%dir %{perl_vendorarch}/auto/Geo
%dir %{perl_vendorarch}/auto/Geo/GDAL
%{perl_vendorarch}/auto/Geo/GDAL/GDAL.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Geo/GDAL/GDAL.so
%dir %{perl_vendorarch}/auto/Geo/GDAL/Const
%{perl_vendorarch}/auto/Geo/GDAL/Const/Const.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Geo/GDAL/Const/Const.so
%dir %{perl_vendorarch}/auto/Geo/OGR
%{perl_vendorarch}/auto/Geo/OGR/OGR.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Geo/OGR/OGR.so
%dir %{perl_vendorarch}/auto/Geo/OSR
%{perl_vendorarch}/auto/Geo/OSR/OSR.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Geo/OSR/OSR.so

%files -n python-gdal
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/_gdal.so
%attr(755,root,root) %{py_sitedir}/_gdalconst.so
%attr(755,root,root) %{py_sitedir}/_gdal_array.so
%attr(755,root,root) %{py_sitedir}/_ogr.so
%attr(755,root,root) %{py_sitedir}/_osr.so
%{py_sitedir}/gdal.py[co]
%{py_sitedir}/gdalconst.py[co]
%{py_sitedir}/gdalnumeric.py[co]
%{py_sitedir}/gdal_array.py[co]
%{py_sitedir}/ogr.py[co]
%{py_sitedir}/osr.py[co]

%if %{with ruby}
%files -n ruby-gdal
%defattr(644,root,root,755)
%dir %{ruby_sitearchdir}/gdal
%attr(755,root,root) %{ruby_sitearchdir}/gdal/gdal.so
%attr(755,root,root) %{ruby_sitearchdir}/gdal/gdalconst.so
%attr(755,root,root) %{ruby_sitearchdir}/gdal/ogr.so
%attr(755,root,root) %{ruby_sitearchdir}/gdal/osr.so
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gdal.spec,v $
Revision 1.50.2.4  2008-03-11 20:55:51  glen
- adapter, check-files cleanup
- remove doxygen trash (*.dox); rel 2

Revision 1.50.2.3  2008-03-11 19:37:36  glen
- numpy epoch, enable files which should be kept

Revision 1.50.2.2  2008-03-03 23:48:17  glen
- python build hacks, re-entrant install

Revision 1.50.2.1  2008-02-27 23:29:30  glen
- moved branch

Revision 1.50  2008-01-12 20:05:00  qboosh
- as-needed to do

Revision 1.49  2007/11/04 23:21:24  qboosh
- updated to 1.4.3

Revision 1.48  2007/09/30 14:49:31  wrobell
- rel. 2 to rebuild with libssh2 0.17

Revision 1.47  2007/07/08 21:23:52  qboosh
- versioned python BRs, ensure that numpy part is built

Revision 1.46  2007/07/06 22:19:30  qboosh
- working Source0 URL

Revision 1.45  2007/07/05 10:11:41  wrobell
- fixed build requirements

Revision 1.44  2007/07/05 10:11:12  wrobell
- ver. 1.4.2
- added ruby build conditional
- python new generation bindings seem to be compatibile with old python
  bindings, so switch ngpython on

Revision 1.43  2007/06/17 19:12:42  wrobell
- rel. 1

Revision 1.42  2007/06/16 19:22:18  qboosh
- added perl,ruby patches
- build perl and ruby bindings

Revision 1.41  2007/06/16 15:13:54  ankry
- tab

Revision 1.40  2007/06/16 13:54:24  wrobell
- back to primary source link

Revision 1.39  2007/06/16 13:50:42  wrobell
- use source mirror to fetch sources, for now

Revision 1.38  2007/06/16 12:24:20  wrobell
- ver. 1.4.1

Revision 1.37  2007/02/20 21:15:31  qboosh
- updated to 1.4.0
- updated ac patch, removed obsolete pgsql,DESTDIR,gcc4 patches

Revision 1.36  2007/02/13 07:16:45  glen
- tabs in preamble

Revision 1.35  2007/02/12 00:48:51  baggins
- converted to UTF-8

Revision 1.34  2006/12/15 12:27:16  wrobell
- added xerces and odbc build conditionals
- rel. 3

Revision 1.33  2006/12/12 06:34:41  qboosh
- added ac patch
- compile python modules
- release 2

Revision 1.32  2006/12/11 21:52:55  qboosh
- updated URLs

Revision 1.31  2006/06/03 15:51:41  qboosh
- updated to 1.3.2, updated pgsql,DESTDIR,gcc4 patches

Revision 1.30  2006/05/26 23:23:42  qboosh
- s/libungif/giflib/ in deps

Revision 1.29  2006/03/11 12:23:51  arekm
- rel 5

Revision 1.28  2006/03/05 14:02:30  qboosh
- added gcc4 patch (includes bugfix), release 4

Revision 1.27  2005/12/07 09:59:31  qboosh
- updated python lib64 fix, release 3

Revision 1.26  2005/11/27 12:56:29  arekm
- rel 2; rebuild with new jasper

Revision 1.25  2005/10/19 21:26:29  qboosh
- updated to 1.3.1, updated DESTDIR patch

Revision 1.24  2005/09/03 14:29:26  qboosh
- enabled libcsf,libdap,sqlite3

Revision 1.23  2005/09/01 12:28:28  bartowl
- version 1.3.0, STBR

Revision 1.22  2005/03/29 09:00:29  qboosh
- updated to 1.2.6, updated DESTDIR,sh patches

Revision 1.21  2005/03/05 13:37:30  troll
- removed obsolete BR: rpm-pythonprov, rel 2

Revision 1.20  2005/01/16 10:26:51  qboosh
- updated to 1.2.5, added sh patch
- use geos (needs >= 2.0)

Revision 1.19  2005/01/09 22:04:53  saq
- --without-geos (it wasn't buildrequired, and it broke build. Make it
  work if you care.)
- release 3

Revision 1.18  2005/01/09 20:52:41  saq
- cxx.patch for compilation fix, rel 2

Revision 1.17  2005/01/09 18:30:11  saq
- missing pyreqeq

Revision 1.16  2004/11/01 21:25:08  qboosh
- updated to 1.2.3, removed obsolete gcc patch

Revision 1.15  2004/08/31 09:00:56  snurf
- typos / formatting / etc.

Revision 1.14  2004/07/28 08:03:14  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.13  2004/06/27 08:43:12  qboosh
- updated to 1.2.1, added gcc patch

Revision 1.12  2004/04/07 21:02:28  qboosh
- updated deps, added -devel deps (huh)

Revision 1.11  2004/04/07 20:55:10  qboosh
- updated to 1.2.0, updated DESTDIR patch, removed obsolete soname,xerces patches

Revision 1.10  2004/03/07 00:33:20  qboosh
- release 2

Revision 1.9  2004/03/07 00:04:22  qboosh
- added aclocal.m4 hack - there are some hardcoded 'lib' beside pymoddir

Revision 1.8  2004/03/06 23:36:06  qboosh
- pass pymoddir (for lib64 support), strict internal deps

Revision 1.7  2003/08/18 08:08:05  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.6  2003/07/19 19:01:22  qboosh
- up to 1.1.9
- updated DESTDIR,soname,xerces patches, removed obsolete acfix patch

Revision 1.5  2003/05/26 16:25:00  malekith
- massive attack: adding Source-md5

Revision 1.4  2003/05/25 05:47:44  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.3  2003/05/15 23:06:49  qboosh
- updated xerces patch - ready for xerces-c 2.2.0

Revision 1.2  2003/01/26 14:30:59  qboosh
- 1.1.8, updated DESTDIR patch, removed obsolete jpeg patch
- new patches: soname (add missing soname to libgdal), xerces (workaround)
- splitted into subpackages, updated BRs

Revision 1.1  2002/06/17 21:27:43  qboosh
- new (but NFY - saving work)
